//
//  UIColor+Extension.m
//  gradient
//
//  Created by 张东 on 2017/4/27.
//  Copyright © 2017年 张东. All rights reserved.
//

#import "UIColor+Extension.h"

@implementation UIColor (Extension)


+ (UIColor *)colorWithHex:(long)hex {
    
    CGFloat red =((CGFloat)((hex & 0xFF0000) >> 16)) / 255.0;
    CGFloat green = ((CGFloat)((hex & 0xFF00) >> 8)) / 255.0;
    CGFloat blue = ((CGFloat)(hex & 0xFF)) / 255.0;
    
    return [UIColor colorWithRed:red green:green blue:blue alpha:0.5];
}


@end
